Subject: Re: [patch 02/21] drivers/net/3c501.c: replace init_module&cleanup_module with module_init&module_exit

From: Al Viro <[email-masked]>
Date: Fri, 28 Mar 2008 22:23:41 +0000

On Fri, Mar 28, 2008 at 03:07:10PM -0700, Andrew Morton wrote:

> well...  The probe functions are still called, only they're now called at
> initcall-time as well as from the infamous Space.c.
> 
> So I guess these patches should at least have removed the calls from
> Space.c tables, but iirc things aren't as simple as that.  I don't remember
> why.

Probe order.  As in "ISA crap that really needs to be probed in that order,
or you will get hard hangs on the only few boxen that still have the hardware
in question".